Scilab function
Last update : 16/6/2004

successors - sommets extrémités des arcs sortant d'un sommet donné

### Calling Sequence

  `a = successors(i,g)`

### Parameters

- `i` : entier
- `g` : graphe (liste)
- `a` : vecteur ligne d'entiers

### Description

`successors` renvoie le vecteur ligne des numéros des sommets extrémités des arcs sortants du sommet i pour un graphe orienté `g` .

### Examples

    ta=[1  6  2  4  7  5  6  8  4  3  5  1];
    he=[2  1  3  6  4  8  8  7  2  7  3  5];
    g=make_graph('foo',1,8,ta,he);
    g('node_x')=[285  284  335  160  405  189  118  45];
    g('node_y')=[266  179   83  176  368  252  64  309];
    show_graph(g);
    a=successors(6,g)
    show_nodes(a);

### See Also

`neighbors`, `predecessors`,